;----------------------------------------- pone cota de elevacion a multplies polilineas---------------------------
(princ "\nEjecuta la aplicacion con la oreden:  etiqueta_elev")
(defun c:etiqueta_elev (/)


;------------------------------------------------------------------ INICIO------------------------------------------------------

(setq ucsname-ant (getvar "ucsname"))

(if (/= ucsname-ant "")
    (progn
    (alert "Para utilizar esta rutina el SCP tiene que estar en sistema UNIVERSAL")
    (error))
)


(defun _aap (ename pt / param)
   (if	(and (not (vl-catch-all-error-p (vl-catch-all-apply 'vlax-curve-getendparam (list ename))))
     (setq param (vlax-curve-getparamatpoint ename pt))
)
     (angle '(0 0) (vlax-curve-getfirstderiv ename param))
   )
 )
  
(defun Gd-Rad (num) (/ (* num pi) 180.0))
(setq osmode-ant (getvar "osmode"))
(setvar "cmdecho" 0)
 
(setvar "osmode" osmode-ant)
(command "_Undo" "_begin")

(defun *error* (msg)
  (command-s "._UNDO" "_E" )
  (setvar "osmode" osmode-ant)
  (princ "error: ")
  (princ msg)
  (princ)
 )

(setvar "osmode" 0)

(setq listaxy nil)
(vl-load-com)
(setq *modelspace* (vla-get-modelspace (vla-get-activedocument (vlax-get-acad-object))))
(command "_layer" "_make" "00textos_curvas" "_co" "7" "" "")


;------------------------------------------------------------------ SELECIONA ------------------------------------------------------------

(setq alt-text (getdist "\nAltura del texto : "))
(setq num-dec  (fix (getdist "\nNumero de decimales : ")))
(setq eje (entsel "\nSeleciona polilinea : "))
(setq eje-type (cdr (assoc 0 (entget (car eje)))))
  (if (not (equal eje-type "LWPOLYLINE"))
    (progn
      (setq eje nil)
      (princ "\nDebe ser una Polilinea ")
    )
  )
(while (= eje nil)
    (progn
      (setq eje (entsel "\Seleciona polilinea : "))
      (setq eje-type (cdr (assoc 0 (entget (car eje)))))
      (if (not (equal eje-type "LWPOLYLINE"))
 (progn
  (setq eje nil)
  (princ "\nDebe ser una Polilinea ")
 )
      )
    )
  )

(princ "\nSeleciona curvas de nivel para etiquetar elevacion ")
(setq tod_cur (ssget '((0 . "LWPOLYLINE,polyline"))))

(setq eje-ename (entget (car eje)))
(setq eje-ename (cdr (assoc -1 eje-ename)))
(ssdel eje-ename tod_cur)
(setq eje-obj (vlax-ename->vla-object eje-ename))
(setq zeje (caddr (vlax-curve-getStartPoint eje-obj)))


;---------------------------------------------------------- pone COTAS ---------------------------------------------
(setq ncurvas (sslength tod_cur))
(setq counter 0)
(setq continter 0)
(setq cuenta 0)
(while (< counter ncurvas)
  (progn
    (setq cur-ename (ssname tod_cur counter)) 
    (setq cur-obj (vlax-ename->vla-object cur-ename))
    (setq zcn  (caddr (vlax-curve-getStartPoint cur-obj)))


   (setq eje-ENTITY (subst (cons 38 zcn)
                        (assoc 38 (entget (car eje)))
                        (entget (car eje))
                    )
   )
   (entmod eje-ENTITY)

   (setq inter (vlax-invoke eje-obj 'intersectwith cur-obj acextendnone))
       (if (/= inter nil)
             (progn  
                 (if (= (length inter) 3)
                     (progn  
                        (setq pk (vlax-curve-getDistAtPoint eje-obj inter))
                        (setq xy (list pk zcn))
                        (setq listaxy (append listaxy (list xy)))
                        (vl-cmdf "._text" "_mc" inter alt-text "0" (rtos zcn 2 num-dec))
		        (setq ulti (ssget "_L"))
		        (setq tod_cur (ssadd (ssname ulti 0) tod_cur))
                     )
                  )
               (if (/= (length inter) 3)
                    (progn
                         (setq lenginter (length inter))
                         (setq continter (/ lenginter 3))
                               (repeat continter        
                                   (setq newpk (list (nth cuenta inter)  (nth (+ cuenta 1) inter) (nth (+ cuenta 2) inter)))
                                   (setq pk (vlax-curve-getDistAtPoint eje-obj newpk))
                                   (setq xy (list pk zcn))
                                   (setq listaxy (append listaxy (list xy)))
                                   (vl-cmdf "._text" "_mc" newpk alt-text "0" (rtos zcn 2 num-dec))
				   (setq ulti (ssget "_L"))
		                   (setq tod_cur (ssadd (ssname ulti 0) tod_cur))
                                   (setq cuenta (+ cuenta 3))
                               ) 
                    )
                )
             (setq cuenta 0)
             )
        )
   (setq counter (1+ counter))
 );progn
);while








 
   
    (foreach x (vl-remove-if 'listp (mapcar 'cadr (ssnamex tod_cur)))
     (if (= "TEXT" (cdr (assoc 0 (entget x))))
       (setq text (cons x text))
       (setq lines (cons x lines))
     )
   )
   (if lines
     (foreach x	text
       (setq p (cdr (assoc 10 (entget x))))
       (setq
	 l (mapcar
	     '(lambda (x)
		(list (setq p2 (vlax-curve-getclosestpointto x p)) (distance p p2) (_aap x p2))
	      )
	     lines
	   )
       )
       (setq l (car (vl-sort l '(lambda (a b) (< (cadr a) (cadr b))))))
       (entmod (subst (cons 50 ((lambda (x) (if (<= (* 0.5 pi) x (* 1.5 pi)) (+ x pi) x)) (caddr l))) (assoc 50 (entget x)) (entget x)))
       (entmod (subst (cons 10 (car l)) (assoc 10 (entget x)) (entget x))) 
     )
   )
   
 

  




:----------------------------------------------------------------- FINALIZA --------------------------------------------------------------
(setq eje-ENTITY (subst (cons 38 zeje)
                        (assoc 38 (entget (car eje)))
                        (entget (car eje))
                )
)
(entmod eje-ENTITY)

  
  
  
(setvar "osmode" osmode-ant)
(command-s "._UNDO" "_E" )

(princ "\nCualquier duda o pregunta a javilapina@gmail.com")
(princ)  
)